#!/bin/bash

### Custom bash script for
### SmartStart Scripting Toolkit for Linux v1.9
### May 2008
### JimmyV

function CreateCustomPost() {

cat << EOF

<Conrep version="1.30">
        <Section name="Custom_Post_Message">
                <Line0>* SSSTK v1.90 - ${RightNow} *</Line0>
        </Section>
</Conrep>

EOF
}

## get time from NTP server
## change NTP server IP if different than NFS server
## be sure to set the TZ variable in the include file

ntpdate -b ${NFS_SERVER_IP} &>/dev/null

# write time to system clock
hwclock --systohc

RightNow=`date`

CreateCustomPost > custom.post.dat

./conrep -L -fcustom.post.dat
